/* Stylesheet */

@media (max-width: 600px) {
  #charts {
    display: flex;
    flex-direction: column;
  }
  .chart-item {
    width: 100%;
    min-height: 400px;
    padding: 10px;
  }
}

@media (min-width: 601px) {
  #charts {
    display: flex;
    flex-direction: row;
  }
  .chart-item {
    width: 500px;
    min-height: 400px;
  }
}

.dk-li.active-dks {
  opacity: 1;
  transform: translateX(0);
}

.hide {
  display: none;
}

nav {
  animation: 3s dropDown 0s 1;
  transition: all ease-in 700ms;
}

.logo-icon {
  margin-right: 40px;
  margin-left: 15px;
}

.center {
  text-align: center;
}

h1,
h5,
button {
  text-align: center;
}

.display-4 {
  transition-duration: 2s;
  animation: fadein 5s;
}

.display-4:hover {
  font-weight: bold;
}

.donkeyimg {
  width: 15%;
  height: 15%;
}

img.center {
  display: block;
  margin: 0 auto;
}

.notices {
  margin: 0;
  text-align: center;
}

.notices:hover {
  color: #ffffcd;
  font-weight: 800;
}

.registration-form input {
  width: 50%;
}

.container > h3,
.container > h4 {
  margin: 25px 20px;
}

#total-table-top tbody > tr:last-of-type {
  border: 3px solid black;
  border-radius: 12px;
  font-weight: 900;
  text-transform: uppercase;
}

#total-table-top tbody > tr:last-of-type td {
  font-family: 'Times New Roman', Times, serif;
  border: 2px solid whitesmoke;
  background: linear-gradient(45deg, black, grey);
  text-align: center;
}

#total-table-top tbody > tr:last-of-type td:hover {
  background: linear-gradient(95deg, grey, black);
}

.dk-card {
  transition-duration: 3s;
  animation: fadeinandtransformtext 3s;
}

.dk-card .card:hover {
  transition-duration: 1.5s;
}

.dk-card .card:hover {
  border: none;
  box-shadow: 5px 2px 3px grey;
}

.form-group {
  margin: 25px 20px;
}

.form-group button {
  padding: 5px 15px;
  transition: width 6.5s, height 5.5s, background-color 3.1s, transform 2.5s;
}

.table-hover {
  animation-duration: 0.43s;
  transition-duration: 2s;
  animation-name: slidein;
}

.table-hover:hover {
  box-shadow: 5px 2px 3px purple;
  transform: translate(-12px, -17px);
}

.dk-li {
  border-radius: 20px;
  transform: translateX(-100%);
  transition: transform 0.4s linear, opacity 1s ease-in-out;
  opacity: 0;
}

.dk-li:hover {
  font-weight: bolder;
  text-transform: uppercase;
  border-radius: 5px;
  transition-duration: 1s;
  /* box-shadow: 5px 2px 3px grey; */
  box-shadow: 5px 2px 3px purple;
  transform: translate(-4px, -7px);
}

.redDonkmas {
  color: red;
}

.greenDonkmas {
  color: green;
}

.blueDonkyear {
  color: blue;
}

#exampleInputEmail1,
#exampleInputPassword1 {
  border: 0.5px solid white;
  border-radius: 8px;
  transition: 1s all;
  color: pink;
}

#exampleInputEmail1:focus,
#exampleInputPassword1:focus {
  width: 212px;
  border: 2px solid orange;
  border-radius: 14px;
  transform: translate(-7px, -9px);
}

#button-div {
  text-align: center;
  margin: 0 auto;
}

#addbutton {
  animation: 0.73s dropDown 0s 1;
  color: #daa702;
  width: 50%;
  border-radius: 25px;
  box-shadow: -3px 3px grey, -2px 2px darkgrey, -1px 1px darkgrey;
  border: 1px solid darkgrey;
}

#newbutton {
  overflow: hidden;
  font-size: small;
  width: 25%;
  animation: 2.34s dropDown 0s 1;
  color: #02da5c;
  border-radius: 25px;
  box-shadow: -6px 6px grey, -4px 4px darkgrey, -3px 3px darkgrey;
  border: 1px solid white;
}

#addbutton,
#newbutton {
  display: block;
  margin: 0.8em auto;
}

#loginbutton,
#redcountbutton {
  transition: all 1s ease;
}

#loginbutton:hover,
#redcountbutton:hover {
  text-transform: uppercase;
  border-radius: 21px;
}

#donk-jumbotron {
  border-radius: 40px;
  margin-top: 50px;
  box-shadow: -12px 12px rgb(71, 68, 68), -9px 9px rgb(126, 119, 119),
    -7px 7px rgb(92, 81, 81);
  animation: 1.43s dropDown 0s 1;
}

#donk-jumbotron > h1 {
  box-shadow: -4px 4px rgb(71, 68, 68), -6px 6px rgb(126, 119, 119),
    -4px 4px rgb(92, 81, 81);
  padding: 6px 7px;
  text-shadow: 3px 5px 2px black;
  margin: 0 auto;
  border-radius: 12px;
  background: rgb(71, 68, 68);
}

@keyframes dropDown {
  0% {
    transform: translateY(-1080%);
  }
  100% {
    transform: translateY(0);
  }
}

@keyframes slidein {
  from {
    margin-left: 100%;
    width: 300%;
  }

  75% {
    font-size: 300%;
    margin-left: 25%;
    width: 150%;
  }

  to {
    margin-left: 0;
    width: 100%;
  }
}

@keyframes fadein {
  from {
    opacity: 0;
  }
  to {
    opacity: 1;
  }
}

@keyframes fadeinandtransformtext {
  from {
    font-style: oblique 70deg;
    font-weight: 900;
    opacity: 0;
  }
  to {
    font-style: normal;
    font-weight: normal;
    opacity: 1;
  }
}

#new-drink-form {
  display: flex;
  flex-wrap: wrap;
  flex-direction: column;
  align-items: center;
}

#new-drink-form input {
  display: flex;
  align-items: center;
  border-radius: 20px;
}

#new-drink-form input:focus {
  border: 2px solid grey;
  box-shadow: 3px 5px #888888;
}

#remaining-clams {
  font-weight: 600;
  font-family: 'Trebuchet MS', 'Lucida Sans Unicode', 'Lucida Grande',
    'Lucida Sans', Arial, sans-serif;
  padding-top: 1em;
  padding-bottom: 0.4em;
  text-align: center;
  color: #daa702;
  font-size: 2.1em;
  letter-spacing: -1px;
}

#remaining-clams::first-letter {
  height: 200%;
}
